Page MenuHomePhabricator

Scribunto tests require an English language wiki
Closed, ResolvedPublic

Description

Scribunto's phpunit tests fail hard on non-English wikis.

This is mostly caused by hard coded namespace names.


Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:31 AM
bzimport set Reference to bz67483.
bzimport added a subscriber: Unknown Object (MLST).
hoo created this task.Jul 3 2014, 4:39 PM
gerritbot added a subscriber: gerritbot.

Change 186908 had a related patch set uploaded (by Anomie):
Make tests work when $wgLanguageCode != 'en'

https://gerrit.wikimedia.org/r/186908

Patch-For-Review

Change 186908 merged by jenkins-bot:
Make tests work when $wgLanguageCode != 'en'

https://gerrit.wikimedia.org/r/186908

Legoktm closed this task as Resolved.Feb 19 2015, 4:15 PM
Legoktm claimed this task.
Legoktm reassigned this task from Legoktm to Anomie.
Legoktm set Security to None.
Anomie reopened this task as Open.Feb 19 2015, 5:46 PM
Anomie reassigned this task from Anomie to hoo.
Anomie removed a project: Patch-For-Review.

Reopening and assigning to hoo since he requested it be reverted due to failing WikiBase tests.

Rical added a subscriber: Rical.Feb 19 2015, 9:34 PM

Change 191789 had a related patch set uploaded (by Anomie):
Revert "Revert "Make tests work when $wgLanguageCode != 'en'""

https://gerrit.wikimedia.org/r/191789

Patch-For-Review

Change 191789 merged by Anomie:
Revert "Revert "Make tests work when $wgLanguageCode != 'en'""

https://gerrit.wikimedia.org/r/191789

hoo closed this task as Resolved.Feb 20 2015, 11:15 AM

Reverted the revert, so this should be good now.

Rical removed a subscriber: Rical.Mar 20 2018, 10:38 AM